Vla-get-lenslength

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-lenslength vla-object)


機能
パース ビューで使用されるレンズ長を取得する。


引数
  • vla-object … PViewport の VLAオブジェクト


戻り値
レンズの長さ(mm)。


サンプル
(vl-load-com)
(defun c:Example_LensLength()
    ;; ペーパー空間に新しいビューポートを作成して、
    ;; レンズ長を反映して表示するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; ペーパー空間のビューポート設定
    (setq center (vlax-3d-point 3 3 0)
          width 40
          height 40)
    
    ;; ペーパー空間に切り換え
    (vla-put-ActiveSpace doc acPaperSpace)

    ;; ペーパー空間ビューポートを作成
    (setq paperSpace (vla-get-PaperSpace doc))
    (setq pviewportObj (vla-AddPViewport paperSpace center width height))

    (vla-Display pviewportObj :vlax-true)
    (vla-put-MSpace doc :vlax-true)
    (vla-put-ActivePViewport doc pviewportObj)
    (vla-Regen doc acAllViewports)
    
    ;; レンズ長を検索
    (setq lenslgnth (vla-get-LensLength pviewportObj))
    (alert (strcat "現在のペーパー空間ビューポートのレンズ長は " (rtos lenslgnth 2)))
    (vla-put-LensLength pviewportObj 28))
    (setq lenslgnth (vla-get-LensLength pviewportObj))
    (alert (strcat "新しいペーパー空間ビューポートのレンズ長は " (rtos lenslgnth 2)))
)

関連事項